<%= form_with(model: restaurant, local: true, class: 'ui form') do |form| %>
  <% if restaurant.errors.any? %>
    <div class="ui message">
      <h2 class="ui header">
        <%= pluralize(restaurant.errors.count, 'error') %> prohibited this
        restaurant from being saved:
      </h2>

      <ul class="list">
        <% restaurant.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="ui field">
    <%= form.label :name %>
    <%= form.text_field :name, class: 'ui corner labeled input' %>
  </div>

  <div class="ui field">
    <%= form.label :menu_url %>
    <%= form.text_field :menu_url, class: 'ui corner labeled input' %>
  </div>

  <div class="ui field">
    <%= form.label :delivery_method %>
    <%=
      form.select(
        :delivery_method,
        ['GrubHub', 'DoorDash', 'Takeout Central', 'Provided by restaurant', 'Pickup'],
        { include_blank: true },
        class: 'ui fluid search dropdown'
      )
    %>
  </div>

  <div class="ui field">
    <%= form.label :food_type %>
    <%=
      form.select(
        :food_type,
        options_for_select(Restaurant.all.pluck(:food_type).uniq, form.object.food_type),
        { include_blank: true },
        class: 'ui fluid search dropdown',
        data: { allow_additions: true }
      )
    %>
  </div>

  <div class="actions">
    <%= form.submit class: 'ui primary button' %>
  </div>
<% end %>
